<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
*
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Generating Javadoc Comments in Source Code</title>
<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>Generating Javadoc Comments in Source Code</h2>
<p>
<small><a href="#seealso">See Also</a></small></p>
<p>You can use editor hints to automatically generate basic Javadoc comments 
  for code elements in your source files. The generated comments include required 
  tags for the particular code element. For example, if a method takes a parameter, 
  a <tt>@param</tt> tag is inserted.
  You can also use hints to generate corrections to Javadoc comments, such as when 
the comments contain incorrect tags.</p>

<p>You are notified of an editor hint by a lightbulb icon that appears in the left 
margin of the Source Editor. You can read the hint by clicking the lightbulb icon 
or by pressing Alt-Enter. You can generate the code suggested by the hint by clicking 
the hint or by pressing Enter.

<p>The hints for Javadoc generation are turned off by default.</p>
<p>
<b>To turn on hints for Javadoc comments:</b>
</p>
<ol>
  <li>Choose Tools &gt; Options &gt; Editor &gt; Hints.</li>
  <li>On the Hints tab, select Java from the Language drop-down list.</li>
  <li>Select the Javadoc checkbox or expand it to fine-tune your choice. </li>
</ol>

<p>By default, the Javadoc hints work for protected elements and public elements. 
If you would like to change the scope of the hints, expand the Javadoc node and select
one of the subnodes. Then choose the radio button for the scope to which you would 
like the hints to apply.</p>


<p> For more information about Javadoc tags, see:</p>
<p>
<object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
    <param name="content" value="http://java.sun.com/javase/6/docs/technotes/tools/solaris/javadoc.html">
    <param name="text" value="<html><u>http://java.sun.com/javase/6/docs/technotes/tools/solaris/javadoc.html</u></html>">
    <param name="textFontSize" value="medium">
    <param name="textColor" value="blue">
</object></p>
<p>For information on how to write Javadoc comments, see:</p>
<p><object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
    <param name="content" value="http://java.sun.com/products/jdk/javadoc/writingdoccomments/index.html">
    <param name="text" value="<html><u>http://java.sun.com/products/jdk/javadoc/writingdoccomments/index.html</u></html>">
    <param name="textFontSize" value="medium">
    <param name="textColor" value="blue">
</object></p>

<dl>
	<dt><a name="seealso">See Also</a></dt>
	<dd><a href="generate.html">Generating Javadoc Documentation</a></dd>
       	<dd><a href="javadoc_add.html">Adding a Javadoc Library to a Project</a></dd>
</dl> 
<hr>
<small><a href="../credits.html">Legal Notices</a></small>
<table border="0" cellpadding="50">
<tr><td>&nbsp;</td></tr>
</table>
</body>
</html>
